body {
    margin: 0; 
}

@font-face {
    font-family: Alagard;
    src: url(../fonts/alagard.ttf);
}

/* Battle UI stuff */
.content-window {
    padding: 20px;
    width: 90%;
    margin: auto;
}

p {
    font-family: Alagard;
}

span {
    font-family: Alagard;
}

button {
    font-family: Alagard;
    background-color: #bbbbbb;
    color: #222222;
    border: 2px solid #888888;
    margin: 0;
    box-sizing: border-box;
}

button:hover {
    background-color: #dddddd;
    border-color: #dddddd;
    color: #888888;
}

button:active {
    background-color: #aaaaaa;
    color: #413737;
    border-color: #ffffff;
}

button:disabled {
    background-color: #444444;
    color: #222222;
    border-color: #222222;
}

.setup-element-list {
    box-sizing: border-box;
    width: 100%;
}

.generic-info-window {
    border: 2px solid #888888;
    background-color: #dfdfdf;
    padding: 4px;
    margin: 4px;
    box-sizing: content-box;
}

.event-info-window {
    
}

.character-info-window {
    
}

.character-info-window button {
    margin: 2px;
}

.character-info-window input {
    margin: 2px;
}

.containingButton {
    display: grid;
    padding: 0;
    border-width: 4px;
}

.second-border {
    border: 2px solid #aaaaaa;
    padding: 2px;
}

.button-flex {
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 4px;
}

.button-flex button {
    flex-grow: 1;
}

.input-info-window {
    border: 2px solid #888888;
    background-color: #dfdfdf;
    padding: 4px;
    margin: 4px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    max-width: 1000px;
}

.input-info-window .button-flex {
    max-width: 1000px; margin: auto;
}

.lowerButtonsDiv {
    display: grid;
    margin-top: 16px;
}

.bigCentralButton {
    /*font-family: Georgia, 'Times New Roman', Times, serif;*/
    font-weight: bold;
    font-size: 16px;
    padding: 8px;
    margin: auto;
    min-width: 200px;
}

.battleEventListDiv {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.battleEventDiv {
    margin: auto;
    border: 2px solid #888888;
    min-width: 80%;
}

.battleEventDiv p {
    text-align: center;
}

.battleEventPortList {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}

.battlePortDiv {
    border: 2px solid #888888;
    display: grid;
}

.battlePortDiv img {

}

body.battle-sim input[type=text] {
    border: 2px solid #888888;
    background-color: #aaaaaa;
    color:#222222;
    font-family: Alagard;
}

body.battle-sim input[type=text]:focus {
    background-color: #aaaaaa;
    outline-color:none;
    outline-width: 0;
    outline-style: solid;
}

body.battle-sim hr {
    color:#888888;
}

select {
    color: #222222;
    background-color: #aaaaaa;
    border: 2px solid #888888;
    font-family: Alagard;
}